{
  services.caddy = {
    enable = true;
    virtualHosts = {
      "fancytypist.com" = {
        serverAliases = [ "www.fancytypist.com" ];
        extraConfig = ''
          respond "Hello, world! fancytypist.com"
        '';
      };

      "fancytypist.ca" = {
        serverAliases = [ "www.fancytypist.ca" ];
        extraConfig = ''
          respond "Hello, world! fancytypist.ca"
        '';
      };

      "fancytypist.dev" = {
        serverAliases = [ "www.fancytypist.dev" ];
        extraConfig = ''
          respond "Hello, world! fancytypist.dev"
        '';
      };
    };
  };
}
